//import { formatCar } from '/formatCar';



const formatCar = car => {
    const {
      year,
      make,
      model,
      price
    } = car;
    return `${year} ${make} ${model}: $$${price}`;
};


export const generateReport = (cars, maxPrice) => 
  cars
    .filter(car => car.price < maxPrice)
    .map(formatCar)
    .join('\n');
